AGTCloud API Docs
GuidesAPI ReferenceIntegrations and resourcesUpdate and help
Music generationMiniMax Music

Lyrics generation and editing

Write complete lyrics, or edit and continue existing lyrics.

Use write_full_song to write complete lyrics from a theme and style, or use edit to edit or continue existing lyrics. The structured lyrics in the response can be used directly with the music generation API.

The lyrics request body does not contain a model field.

POST/v1/lyrics_generation

Use write_full_song to create complete lyrics, or edit to edit and continue existing lyrics. This request body does not contain a model field.

Authorization

bearerAuth
AuthorizationBearer <token>

Use Bearer your-api-key in the Authorization Header.

In: header

Request Body

application/json

Lyrics creation or editing parameters.

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json